package config

type S3Config struct {
	AccessKeyID     string `mapstructure:"access_key_id"`
	AccessKeySecret string `mapstructure:"access_key_secret"`
	Endpoint        string `mapstructure:"endpoint"`
	BucketName      string `mapstructure:"bucket_name"`
	PhotoFolder     string `mapstructure:"photo_folder"`
	LogLevel        string `mapstructure:"log_level"`
	HostURL         string `mapstructure:"host_url"`
}

func (c S3Config) GetAccessKeyID() string {
	return c.AccessKeyID
}

func (c S3Config) GetAccessKeySecret() string {
	return c.AccessKeySecret
}

func (c S3Config) GetEndpoint() string {
	return c.Endpoint
}

func (c S3Config) GetBucketName() string {
	return c.BucketName
}

func (c S3Config) GetLogLevel() string {
	return c.LogLevel
}

func (c S3Config) GetHostURL() string {
	return c.HostURL
}

func (c S3Config) GetPhotoFolder() string {
	return c.PhotoFolder
}
